Bug 1018839 - @ character indide on name of service break cgconfigparser
@ character indide on name of service break cgconfigparser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcgroup (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 09:43 EDT by Marian
Modified: 2014-04-03 00:08 EDT (History)
12 users (show)

See Also:
Fixed In Version: libcgroup-0.38-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 00:08:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian 2013-10-14 09:43:08 EDT
Description of problem:
systemd-fsck@.service must be renamed (systemd-fsck.service)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.cgsnapshot -f /etc/cgconfig.conf
2./usr/sbin/cgconfigparser -l /etc/cgconfig.conf -s 166
3.parser break on @ character 

Actual results:


Expected results:


Additional info:
Comment 1 Michal Schmidt 2013-10-14 09:47:15 EDT
(In reply to Marian from comment #0)
> Description of problem:
> systemd-fsck@.service must be renamed (systemd-fsck.service)

No. systemd has a concept of service templates and it uses "@" to separate the template name from the instance identifier. The "@" cannot be removed.

> Steps to Reproduce:
> 1.cgsnapshot -f /etc/cgconfig.conf
> 2./usr/sbin/cgconfigparser -l /etc/cgconfig.conf -s 166
> 3.parser break on @ character 

# repoquery -fi /usr/sbin/cgconfigparser
...
Source      : libcgroup-0.38-7.fc20.src.rpm
...

=> Reassigning to libcgroup
Comment 2 Fedora Admin XMLRPC Client 2014-02-03 04:43:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Chaloupka 2014-03-03 07:06:37 EST
parser updated
Comment 4 Fedora Update System 2014-03-03 07:26:45 EST
libcgroup-0.38-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libcgroup-0.38-8.fc20
Comment 5 Fedora Update System 2014-03-04 01:42:31 EST
Package libcgroup-0.38-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcgroup-0.38-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3396/libcgroup-0.38-8.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-04-03 00:08:58 EDT
libcgroup-0.38-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.